/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model153
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model153 {
  @SerializedName("code")
  private String code = null;

  @SerializedName("name")
  private String name = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("order")
  private BigDecimal order = null;

  @SerializedName("terms_and_conditions")
  private String termsAndConditions = null;

  @SerializedName("price")
  private Model149 price = null;

  @SerializedName("coverages")
  private Model152 coverages = null;

  public Model153 code(String code) {
    this.code = code;
    return this;
  }

   /**
   * Product code, communicated by AXA
   * @return code
  **/
  @ApiModelProperty(required = true, value = "Product code, communicated by AXA")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Model153 name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Product name, communicated by AXA. Can be used for display purposes.
   * @return name
  **/
  @ApiModelProperty(value = "Product name, communicated by AXA. Can be used for display purposes.")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Model153 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Short description of the product
   * @return description
  **/
  @ApiModelProperty(value = "Short description of the product")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Model153 order(BigDecimal order) {
    this.order = order;
    return this;
  }

   /**
   * Product position order
   * minimum: 0
   * @return order
  **/
  @ApiModelProperty(value = "Product position order")
  public BigDecimal getOrder() {
    return order;
  }

  public void setOrder(BigDecimal order) {
    this.order = order;
  }

  public Model153 termsAndConditions(String termsAndConditions) {
    this.termsAndConditions = termsAndConditions;
    return this;
  }

   /**
   * URL to the product terms and conditions page
   * @return termsAndConditions
  **/
  @ApiModelProperty(value = "URL to the product terms and conditions page")
  public String getTermsAndConditions() {
    return termsAndConditions;
  }

  public void setTermsAndConditions(String termsAndConditions) {
    this.termsAndConditions = termsAndConditions;
  }

  public Model153 price(Model149 price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(value = "")
  public Model149 getPrice() {
    return price;
  }

  public void setPrice(Model149 price) {
    this.price = price;
  }

  public Model153 coverages(Model152 coverages) {
    this.coverages = coverages;
    return this;
  }

   /**
   * Get coverages
   * @return coverages
  **/
  @ApiModelProperty(value = "")
  public Model152 getCoverages() {
    return coverages;
  }

  public void setCoverages(Model152 coverages) {
    this.coverages = coverages;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model153 model153 = (Model153) o;
    return Objects.equals(this.code, model153.code) &&
        Objects.equals(this.name, model153.name) &&
        Objects.equals(this.description, model153.description) &&
        Objects.equals(this.order, model153.order) &&
        Objects.equals(this.termsAndConditions, model153.termsAndConditions) &&
        Objects.equals(this.price, model153.price) &&
        Objects.equals(this.coverages, model153.coverages);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, name, description, order, termsAndConditions, price, coverages);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model153 {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    order: ").append(toIndentedString(order)).append("\n");
    sb.append("    termsAndConditions: ").append(toIndentedString(termsAndConditions)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    coverages: ").append(toIndentedString(coverages)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

